/**
 * \file
 * \brief Architecture-specific parameters
 *
 * \author Copyright (C) 2014 Kamil Szczygiel http://www.distortec.com http://www.freddiechopin.info
 *
 * \par License
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0. If a copy of the MPL was not
 * distributed with this file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#ifndef SOURCE_ARCHITECTURE_ARM_ARMV6_M_ARMV7_M_INCLUDE_DISTORTOS_ARCHITECTURE_PARAMETERS_HPP_
#define SOURCE_ARCHITECTURE_ARM_ARMV6_M_ARMV7_M_INCLUDE_DISTORTOS_ARCHITECTURE_PARAMETERS_HPP_

#include <cstddef>
#include <cstdint>

namespace distortos
{

namespace architecture
{

/// interrupt mask
using InterruptMask = uint32_t;

/// alignment of stack, bytes
constexpr size_t stackAlignment {8};

/// divisibility of stack's size
constexpr size_t stackSizeDivisibility {8};

}	// namespace architecture

}	// namespace distortos

#endif	// SOURCE_ARCHITECTURE_ARM_ARMV6_M_ARMV7_M_INCLUDE_DISTORTOS_ARCHITECTURE_PARAMETERS_HPP_
